/* Stats Block */
.mobile-stats {
    padding: 0px 1px 40px 1px;
    background: #F4F4F4;
}

.mobile-stats-main-title {
    color: #000;
    font-size: 32px;
    font-style: normal;
    font-weight: 700;
    line-height: 120%;
    margin: 0 0 24px 0;
}

.mobile-stats-grid {
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 12px;
}

.mobile-stat-card {
    border-radius: 24px;
    background: #FFF;
    padding: 24px 20px;
    display: flex;
    flex-direction: column;
    gap: 0px;
}

/* Last card full width if odd number */
.mobile-stat-card:last-child:nth-child(odd) {
    grid-column: span 2;
    max-width: calc(50% - 6px); /* Keep it same size as others as per design */
}

.mobile-stat-number {
    color: #FF6000;
    font-size: 32px;
    font-style: normal;
    font-weight: 700;
    line-height: 150%;
    display: flex;
    align-items: center;
    gap: 4px;
}

.mobile-stat-star {
    font-size: 24px;
}

.mobile-stat-label {
    color: #323232;
    font-size: 16px;
    font-style: normal;
    font-weight: 500;
    line-height: 150%;
}
